One exact byte form.
The receipt body is canonicalised with RFC 8785 before anything is hashed or signed. On the wire, the A7 transport uses deterministic CBOR so every implementation produces identical bytes.
A hash, then a tree.
SHA-256 (FIPS 180-4) gives each receipt its digest. Receipts roll up into Merkle trees that follow the RFC 6962 audit-path rules from Certificate Transparency, so inclusion can be proved with a few hashes.
Two signatures, two families.
Ed25519 (RFC 8032) is the classical leg. ML-DSA-65 (FIPS 204) is the lattice-based post-quantum leg. A verifier requires both.
Hash-based archives, sealed memory.
SLH-DSA (FIPS 205) is planned for archive signing. ML-KEM-768 (FIPS 203) seals agent memory and protects transport; it is in development.
Speak other ecosystems' formats.
A SCITT / COSE export, a C2PA receipt assertion, and receipts for every MCP tool call. All three are in development.